name: base
# name: py38
channels:
  - https://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/free/ # Anocanda清华镜像
  - https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/msys2/
  # - https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/pytorch/
  - bioconda
  - fastai
  - defaults
  - r
  - https://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/conda-forge/
  - conda-forge
dependencies:
#  - python=3.8
  - ipython
#  - ipykernel
  - pip
  # - pytorch
  # - torchvision
  # - torchaudio
  - cudatoolkit=11.0
#  - fastai
#  - nbdev
  - pip:
      - numpy=1.19.2
      - pandas=1.3.4
      - cmake
      - opencv-python
      - cython
      - fastapi
      - uvicorn
      - jinja2
      - aiofiles
      - python-multipart
      - requests
      # - PyYAML>=5.3.1
#      - pandas>=1.1.4
      - seaborn>=0.11.0
      - tqdm>=4.41.0
      - tensorboard>=2.4.1
      - gunicorn
      - -i  https://mirror.baidu.com/pypi/simple
#prefix: /opt/conda/
# prefix: /opt/conda/envs/py38